Subject: Re: cygwin->msvcrt argv expansion algorithems
From: Chris Faylor <[email-masked]>
To: John R Hanson <[email-masked]>
Cc: [email-masked]
Date: Sun, 12 Dec 1999 16:38:31 -0500

On Sun, Dec 12, 1999 at 07:43:34PM +0000, John R Hanson wrote:
>You would know better than I where these need to be slotted
>into the cygwin .dll.

I guess if I took some time, I could probably figure out what "these"
are.  This seems to have something to do with command line quoting,
obviously.  And, you want to plug it into cygwin somewhere.

But I'm sorry to say that I'm not going to take time to investigate
hundred of lines of code, especially when I have no clear idea what
it's for.

If this is intended to replace one of cygwin's quoting methods, it's
unlikely that I'd consider doing that without an extremely compelling
rationale for doing so.  "It doesn't handle all of the cases that MSVC
does" is *not* a  reason for throwing everything away, btw.

Sorry,
Chris

>--- Cut Here ----------------------------------------------------------
>  /* this is an example program for encoding and decoding
>     command lines to be used when starting a subprocess
>     via CreateProcess 
>     compile with
>     gcc -oCreateP CreateP.c
>  */
>[snip]

--
Want to unsubscribe from this list?
Send a message to [email-masked]